<?php

declare(strict_types=1);

namespace CpCreation\AltchaBundle\Model;

final readonly class Challenge
{
    /** @param array<string, mixed> $parameters */
    public function __construct(
        public array $parameters,
        public string $signature,
    ) {
    }

    /** @return array{parameters: array<string, mixed>, signature: string} */
    public function toArray(): array
    {
        return ['parameters' => $this->parameters, 'signature' => $this->signature];
    }
}
